Module | HTMLHelper
In: | lib/facets/more/htmlhelper.rb

### Methods

esc escformat marshal_from_cgi marshal_to_cgi

### Included Modules

XMLHelper

### Public Instance methods

esc(str)

Return an html "safe" version of the string, where every &, < and > are replaced with appropriate entities.

escformat(str)

Calls esc, and then further replaces carriage returns and quote characters with entities.

marshal_from_cgi(name)

Create an hidden input field through which an object can can be marshalled. This makes it very easy to pass from data between requests.

marshal_to_cgi(name, iobj)

Create an hidden input field through which an object can can be marshalled. This makes it very easy to pass from data betwenn requests.

[Validate]